# oslo_vmware.hacking package

## Submodules

## oslo_vmware.hacking.checks module

oslo_vmware.hacking.checks.no_translate_logs(logical_line, filename)

  N537 - Don’t translate logs.

  Check for ‘LOG.*(_(’

  Translators don’t provide translations for log messages, and operators asked not to translate them.

  - This check assumes that ‘LOG’ is a logger.

  Parameters:

    - logical_line – The logical line to check.

    - filename – The file name where the logical line exists.

  Returns:

    None if the logical line passes the check, otherwise a tuple is yielded that contains the offending index in logical line and a message describe the check validation failure.

## Module contents

this page last updated: 2026-07-15 06:03:43

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug